/*****************************************************************************
 *
 * File: SxC_PV_0105.inc
 * Version: 1.0.0
 * Date: 2017-06-12
 *
 *****************************************************************************
 * Copyright (c) 2017, AUMA Riester GmbH & Co. KG, All Rights Reserved
 *****************************************************************************
 *
 * Description: Electronic device description for PROFIBUS version of AUMA SGC/ SVC actuator
 *              (Process variables and commands)
 *
 *****************************************************************************
 */
 

/* ---------------------------------------------------------------------------------------------------------------------
*   Macros
*/

/* ---------------------------------------------------------------------------------------------------------------------
 *   Variables for Process channels 
 */
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_113
 */
DeviceBoolVariable_RO(PZD_113, TYPE_BOOL_LEN)  /* Wahlschalter Ort */

ReadCmdDef(PZD_113, 1, 141)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_115
 */
DeviceBoolVariable_RO(PZD_115, TYPE_BOOL_LEN)  /* Wahlschalter Fern */

ReadCmdDef(PZD_115, 1, 143)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_169
 */
DeviceBoolVariable_RO(PZD_169, TYPE_BOOL_LEN)  /* Feldbus Zwischenstellung2 */

ReadCmdDef(PZD_169, 1, 197)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_170
 */
DeviceBoolVariable_RO(PZD_170, TYPE_BOOL_LEN)  /* Feldbus Zwischenstellung3 */

ReadCmdDef(PZD_170, 1, 198)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_171
 */
DeviceBoolVariable_RO(PZD_171, TYPE_BOOL_LEN)  /* Feldbus Zwischenstellung4 */

ReadCmdDef(PZD_171, 1, 199)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_172
 */
DeviceBoolVariable_RO(PZD_172, TYPE_BOOL_LEN)  /* Feldbus Zwischenstellung6 */

ReadCmdDef(PZD_172, 1, 200)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_173
 */
DeviceBoolVariable_RO(PZD_173, TYPE_BOOL_LEN)  /* Feldbus Zwischenstellung7 */

ReadCmdDef(PZD_173, 1, 201)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_191
 */
DeviceBoolVariable_RO(PZD_191, TYPE_BOOL_LEN)  /* DPV0 Reset */

ReadCmdDef(PZD_191, 1, 219)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_193
 */
DeviceBoolVariable_RO(PZD_193, TYPE_BOOL_LEN)  /* Feldbus Zwischenstellung8 */

ReadCmdDef(PZD_193, 1, 221)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_258
 */
DeviceBoolVariable_RO(PZD_258, TYPE_BOOL_LEN)  /* Signal Endlage AUF */

ReadCmdDef(PZD_258, 2, 186)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_259
 */
DeviceBoolVariable_RO(PZD_259, TYPE_BOOL_LEN)  /* Signal Endlage ZU */

ReadCmdDef(PZD_259, 2, 187)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_327
 */
DeviceBoolVariable_RO(PZD_327, TYPE_BOOL_LEN)  /* Feldbus Zwischenstellung5 */

ReadCmdDef(PZD_327, 3, 155)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_328
 */
DeviceBoolVariable_RO(PZD_328, TYPE_BOOL_LEN)  /* Feldbus Zwischenstellung1 */

ReadCmdDef(PZD_328, 3, 156)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_330
 */
DeviceBoolVariable_RO(PZD_330, TYPE_BOOL_LEN)  /* DPV0: Fahre Auf  */

ReadCmdDef(PZD_330, 3, 158)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_331
 */
DeviceBoolVariable_RO(PZD_331, TYPE_BOOL_LEN)  /* DPV0: Fahre Zu */

ReadCmdDef(PZD_331, 3, 159)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_332
 */
DeviceBoolVariable_RO(PZD_332, TYPE_BOOL_LEN)  /* DPV0: Fahre Soll */

ReadCmdDef(PZD_332, 3, 160)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_333
 */
VARIABLE PZD_333	/* DPV0 Sollwert 0...1000 */
{
    LABEL		[TXT_PZD_333];
    HELP		[HLP_PZD_333];
    CLASS		OUTPUT;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PZD_333, 3, 161)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_392
 */
DeviceBoolVariable_RO(PZD_392, TYPE_BOOL_LEN)  /* Meldung: Zwischenstellung 1 */

ReadCmdDef(PZD_392, 3, 220)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_393
 */
DeviceBoolVariable_RO(PZD_393, TYPE_BOOL_LEN)  /* Meldung: Zwischenstellung 8 */

ReadCmdDef(PZD_393, 3, 221)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_394
 */
DeviceBoolVariable_RO(PZD_394, TYPE_BOOL_LEN)  /* Meldung: Zwischenstellung 7 */

ReadCmdDef(PZD_394, 3, 222)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_395
 */
DeviceBoolVariable_RO(PZD_395, TYPE_BOOL_LEN)  /* Meldung: Zwischenstellung 6 */

ReadCmdDef(PZD_395, 3, 223)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_396
 */
DeviceBoolVariable_RO(PZD_396, TYPE_BOOL_LEN)  /* Meldung: Zwischenstellung 5 */

ReadCmdDef(PZD_396, 3, 224)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_397
 */
DeviceBoolVariable_RO(PZD_397, TYPE_BOOL_LEN)  /* Meldung: Zwischenstellung 4 */

ReadCmdDef(PZD_397, 3, 225)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_398
 */
DeviceBoolVariable_RO(PZD_398, TYPE_BOOL_LEN)  /* Meldung: Zwischenstellung 3 */

ReadCmdDef(PZD_398, 3, 226)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_399
 */
DeviceBoolVariable_RO(PZD_399, TYPE_BOOL_LEN)  /* Meldung: Zwischenstellung 2 */

ReadCmdDef(PZD_399, 3, 227)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_423
 */
DeviceBoolVariable_RO(PZD_423, TYPE_BOOL_LEN)  /* MWG: Aktivierung Kalibrierung Hall-Sensor 5  */

ReadCmdDef(PZD_423, 4, 151)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_464
 */
VARIABLE PZD_464	/* Feldbus Analogausgang 1 */
{
    LABEL		[TXT_PZD_464];
    HELP		[HLP_PZD_464];
    CLASS		OUTPUT;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PZD_464, 4, 192)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_465
 */
VARIABLE PZD_465	/* Feldbus Analogausgang 2 */
{
    LABEL		[TXT_PZD_465];
    HELP		[HLP_PZD_465];
    CLASS		OUTPUT;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PZD_465, 4, 193)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_472
 */
DeviceBoolVariable_RO(PZD_472, TYPE_BOOL_LEN)  /* Feldbus Digital Out 07 */

ReadCmdDef(PZD_472, 4, 200)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_473
 */
DeviceBoolVariable_RO(PZD_473, TYPE_BOOL_LEN)  /* Feldbus Digital Out 08 */

ReadCmdDef(PZD_473, 4, 201)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_474
 */
DeviceBoolVariable_RO(PZD_474, TYPE_BOOL_LEN)  /* Feldbus Digital Out 09 */

ReadCmdDef(PZD_474, 4, 202)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_475
 */
DeviceBoolVariable_RO(PZD_475, TYPE_BOOL_LEN)  /* Feldbus Digital Out 10 */

ReadCmdDef(PZD_475, 4, 203)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_476
 */
DeviceBoolVariable_RO(PZD_476, TYPE_BOOL_LEN)  /* Feldbus Digital Out 11 */

ReadCmdDef(PZD_476, 4, 204)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_477
 */
DeviceBoolVariable_RO(PZD_477, TYPE_BOOL_LEN)  /* Feldbus Digital Out 12 */

ReadCmdDef(PZD_477, 4, 205)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_498
 */
VARIABLE PZD_498	/* AnalogIn1 normiertes Melde-Signal */
{
    LABEL		[TXT_PZD_498];
    HELP		[HLP_PZD_498];
    CLASS		INPUT;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PZD_498, 4, 226)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_499
 */
VARIABLE PZD_499	/* AnalogIn2 normiertes Melde-Signal */
{
    LABEL		[TXT_PZD_499];
    HELP		[HLP_PZD_499];
    CLASS		INPUT;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
ReadCmdDef(PZD_499, 4, 227)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_500
 */
DeviceBoolVariable_RO(PZD_500, TYPE_BOOL_LEN)  /* DigitalIn1 Melde-Signal */

ReadCmdDef(PZD_500, 5, 128)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_501
 */
DeviceBoolVariable_RO(PZD_501, TYPE_BOOL_LEN)  /* DigitalIn2 Melde-Signal */

ReadCmdDef(PZD_501, 5, 129)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_502
 */
DeviceBoolVariable_RO(PZD_502, TYPE_BOOL_LEN)  /* DigitalIn6 Melde-Signal */

ReadCmdDef(PZD_502, 5, 130)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_503
 */
DeviceBoolVariable_RO(PZD_503, TYPE_BOOL_LEN)  /* DigitalIn5 Melde-Signal */

ReadCmdDef(PZD_503, 5, 131)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_504
 */
DeviceBoolVariable_RO(PZD_504, TYPE_BOOL_LEN)  /* DigitalIn4 Melde-Signal */

ReadCmdDef(PZD_504, 5, 132)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_505
 */
DeviceBoolVariable_RO(PZD_505, TYPE_BOOL_LEN)  /* DigitalIn3 Melde-Signal */

ReadCmdDef(PZD_505, 5, 133)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_539
 */
DeviceBoolVariable_RO(PZD_539, TYPE_BOOL_LEN)  /* Meldung Fhrt von Ort */

ReadCmdDef(PZD_539, 5, 167)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_540
 */
DeviceBoolVariable_RO(PZD_540, TYPE_BOOL_LEN)  /* Meldung Fhrt von Fern */

ReadCmdDef(PZD_540, 5, 168)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_541
 */
DeviceBoolVariable_RO(PZD_541, TYPE_BOOL_LEN)  /* Meldung Fhrt mit Handrad (verzgert aufgrund von Hazards) */

ReadCmdDef(PZD_541, 5, 169)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_549
 */
DeviceBoolVariable_RO(PZD_549, TYPE_BOOL_LEN)  /* Logik: Mittelstellung */

ReadCmdDef(PZD_549, 5, 177)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_554
 */
DeviceBoolVariable_RO(PZD_554, TYPE_BOOL_LEN)  /* Logik: Fahrpause */

ReadCmdDef(PZD_554, 5, 182)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_560
 */
DeviceBoolVariable_RO(PZD_560, TYPE_BOOL_LEN)  /* Taktstrecke AUF/ZU aktiv	 */

ReadCmdDef(PZD_560, 5, 188)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_603
 */
DeviceBoolVariable_RO(PZD_603, TYPE_BOOL_LEN)  /* Antrieb fhrt */

ReadCmdDef(PZD_603, 6, 131)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_605
 */
DeviceBoolVariable_RO(PZD_605, TYPE_BOOL_LEN)  /* Fahrbefehlskanal 2 aktiv */

ReadCmdDef(PZD_605, 6, 133)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_613
 */
DeviceBoolVariable_RO(PZD_613, TYPE_BOOL_LEN)  /* Feldbus-Kommunikation vorhanden (Kanal 1) */

ReadCmdDef(PZD_613, 6, 141)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_614
 */
DeviceBoolVariable_RO(PZD_614, TYPE_BOOL_LEN)  /* Feldbus-Kommunikation vorhanden (Kanal 2) */

ReadCmdDef(PZD_614, 6, 142)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_625
 */
DeviceBoolVariable_RO(PZD_625, TYPE_BOOL_LEN)  /* Warnung LWL (Meldung von Modul)) */

ReadCmdDef(PZD_625, 6, 153)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_640
 */
DeviceBoolVariable_RO(PZD_640, TYPE_BOOL_LEN)  /* Freisplen */

ReadCmdDef(PZD_640, 6, 168)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_658
 */
DeviceBoolVariable_RO(PZD_658, TYPE_BOOL_LEN)  /* DP-Status Data Ex (Kanal 2) */

ReadCmdDef(PZD_658, 6, 186)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_669
 */
VARIABLE PZD_669	/* Feldbus Prozessistwert */
{
    LABEL		[TXT_PZD_669];
    CLASS		OUTPUT;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
ReadCmdDef(PZD_669, 6, 197)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_700
 */
DeviceBoolVariable_RO(PZD_700, TYPE_BOOL_LEN)  /* Feldbus Fail Safe aktiv (Kanal1) */

ReadCmdDef(PZD_700, 7, 128)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_701
 */
DeviceBoolVariable_RO(PZD_701, TYPE_BOOL_LEN)  /* Feldbus Fail Safe aktiv (Kanal2) */

ReadCmdDef(PZD_701, 7, 129)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_757
 */
DeviceBoolVariable_RO(PZD_757, TYPE_BOOL_LEN)  /* InterlockActive */

ReadCmdDef(PZD_757, 7, 185)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_810
 */
DeviceBoolVariable_RO(PZD_810, TYPE_BOOL_LEN)  /* Warnung LWL nicht vorhanden */

ReadCmdDef(PZD_810, 8, 138)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_811
 */
DeviceBoolVariable_RO(PZD_811, TYPE_BOOL_LEN)  /* Prozessabbild: Setze Kanal 1 aktiv */

ReadCmdDef(PZD_811, 8, 139)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_812
 */
DeviceBoolVariable_RO(PZD_812, TYPE_BOOL_LEN)  /* Prozessabbild: Setze Kanal 2 aktiv */

ReadCmdDef(PZD_812, 8, 140)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_813
 */
DeviceBoolVariable_RO(PZD_813, TYPE_BOOL_LEN)  /* Warnung LWL Budget */

ReadCmdDef(PZD_813, 8, 141)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_834
 */
DeviceBoolVariable_RO(PZD_834, TYPE_BOOL_LEN)  /* MWG: Drehmomentwarnung AUF	 */

ReadCmdDef(PZD_834, 8, 162)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_835
 */
DeviceBoolVariable_RO(PZD_835, TYPE_BOOL_LEN)  /* MWG: Drehmomentwarnung ZU */

ReadCmdDef(PZD_835, 8, 163)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_844
 */
DeviceBoolVariable_RO(PZD_844, TYPE_BOOL_LEN)  /* Wahlschalter nicht Fern, maskiert */

ReadCmdDef(PZD_844, 8, 172)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_943
 */
VARIABLE PZD_943	/* LCB: RTC Batterie-berwachung */
{
    LABEL		[TXT_PZD_943];
    HELP		[HLP_PZD_943];
    CLASS		INPUT;
    TYPE		UNSIGNED_INTEGER (4) /* EWC */;
    HANDLING		READ;
}
ReadCmdDef(PZD_943, 9, 171)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_952
 */
DeviceBoolVariable_RO(PZD_952, TYPE_BOOL_LEN)  /* Meldung: Partial Stroke aktiv */

ReadCmdDef(PZD_952, 9, 180)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_953
 */
DeviceBoolVariable_RO(PZD_953, TYPE_BOOL_LEN)  /* Meldung: Partial Stroke Fehler */

ReadCmdDef(PZD_953, 9, 181)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_954
 */
DeviceBoolVariable_RO(PZD_954, TYPE_BOOL_LEN)  /* Meldung: Partial Stroke Abbruch */

ReadCmdDef(PZD_954, 9, 182)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1118
 */
DeviceBoolVariable_RO(PZD_1118, TYPE_BOOL_LEN)  /* SafeESD aktiv */

ReadCmdDef(PZD_1118, 11, 146)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1119
 */
DeviceBoolVariable_RO(PZD_1119, TYPE_BOOL_LEN)  /* SafeStop aktiv */

ReadCmdDef(PZD_1119, 11, 147)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1626
 */
DeviceBoolVariable_RO(PZD_1626, TYPE_BOOL_LEN)  /* FQM Failsafe Active */

ReadCmdDef(PZD_1626, 16, 154)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1627
 */
DeviceBoolVariable_RO(PZD_1627, TYPE_BOOL_LEN)  /* FQM FailSafe Init */

ReadCmdDef(PZD_1627, 16, 155)
 
/* ---------------------------------------------------------------------------------------------------------------------
 *   Defining VARIABLE   PZD_1628
 */
DeviceBoolVariable_RO(PZD_1628, TYPE_BOOL_LEN)  /* FQM Failsafe Error */

ReadCmdDef(PZD_1628, 16, 156)

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_process_variables_input
*/
MENU	menu_process_variables_input
{
    LABEL	[TXT_TST_624];
	STYLE    PAGE;
	ACCESS   ONLINE;	
    ITEMS
    {
		menu_pv_input_byte_1 /*  input byte 1 */
		, COLUMNBREAK
		, menu_pv_input_byte_2 /*  input byte 2 */
		, ROWBREAK
		, menu_pv_input_byte_3_4 /*  input byte 3+4 */
		, ROWBREAK
		, menu_pv_input_byte_5 /*  input byte 5 */
		, COLUMNBREAK
		, menu_pv_input_byte_6 /*  input byte 6 */
		, ROWBREAK
		, menu_pv_input_byte_13_14 /*  input byte 13 + 14 */
		, COLUMNBREAK
		, menu_pv_input_byte_15_16 /*  input byte 15 + 16 */
		, ROWBREAK
		, menu_pv_input_byte_17_18 /*  input byte 17 + 18 */
		, COLUMNBREAK
		, menu_pv_input_byte_19_20 /*  input byte 19 + 20 */
		, ROWBREAK
		, menu_pv_input_byte_23 /*  input byte 23 */
		, ROWBREAK
		, menu_pv_input_byte_25_26 /*  input byte 25 + 26 */
		, COLUMNBREAK
		, menu_pv_input_byte_27_28 /*  input byte 27 + 28 */
		, ROWBREAK
		, menu_pv_input_byte_29_30 /*  input byte 29 + 30 */
		, ROWBREAK
		, menu_pv_input_byte_31 /*  input byte 31 */
		, COLUMNBREAK
    }
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_1
*/
MENU	menu_pv_input_byte_1
{
    LABEL	"Logic messages|de|Logische Meldungen";/* / TODO: [TXT_TST_xxx]; */
	STYLE    GROUP;
	ACCESS   ONLINE;	
    ITEMS
	{
		DeviceBoolDisplay(PZD_258)
		, DeviceBoolDisplay(PZD_259)
		, DeviceBoolDisplay(PZD_401)
		, DeviceAlertAsBoolDisplay(PZD_80)
		, DeviceBoolDisplay(PZD_264)
		, DeviceBoolDisplay(PZD_265)
		, DeviceAlertAsBoolDisplay(PZD_78)
		, DeviceAlertAsBoolDisplay(PZD_79)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_2
*/
MENU	menu_pv_input_byte_2
{
    LABEL	"Drive messages|de|Antriebsmeldungen";/* / TODO: [TXT_TST_xxx]; */
	STYLE    GROUP;
	ACCESS   ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_270)
		, DeviceAlertAsBoolDisplay(PZD_302)
		, DeviceBoolDisplay(PZD_115)
		, DeviceBoolDisplay(PZD_113)
		, DeviceBoolDisplay(PZD_375)
		, DeviceBoolDisplay(PZD_376)
		, DeviceBoolDisplay(PZD_459)
		, DeviceBoolDisplay(PZD_460)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_3_4
*/
MENU	menu_pv_input_byte_3_4
{
    LABEL	[TXT_PZD_2];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		PZD_2
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_5
*/
MENU	menu_pv_input_byte_5
{
    LABEL	[TXT_DIS_592];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_80)
		, DeviceAlertAsBoolDisplay(PZD_78)
		, DeviceAlertAsBoolDisplay(PZD_79)
		, DeviceAlertAsBoolDisplay(PZD_85)
		, DeviceAlertAsBoolDisplay(PZD_83)
		, DeviceAlertAsBoolDisplay(PZD_84)
		, DeviceAlertAsBoolDisplay(PZD_86)
		, DeviceAlertAsBoolDisplay(PZD_81)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_6
*/
MENU	menu_pv_input_byte_6
{
    LABEL	"Travel status|de|Fahrstatus";/* / TODO: [TXT_TST_xxx]; */
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceBoolDisplay(PZD_554)
		, DeviceBoolDisplay(PZD_549)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_13_14
*/
MENU	menu_pv_input_byte_13_14
{
    LABEL	[TXT_PZD_80];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_89)
		, DeviceAlertAsBoolDisplay(PZD_607)
		, DeviceAlertAsBoolDisplay(PZD_280)
		, DeviceAlertAsBoolDisplay(PZD_606)
		, DeviceAlertAsBoolDisplay(PZD_282)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_15_16
*/
MENU	menu_pv_input_byte_15_16
{
    LABEL	[TXT_PZD_79];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_87)
		, DeviceAlertAsBoolDisplay(PZD_270)
		, DeviceAlertAsBoolDisplay(PZD_302)
		, DeviceAlertAsBoolDisplay(PZD_268)
		, DeviceAlertAsBoolDisplay(PZD_269)
		, DeviceAlertAsBoolDisplay(PZD_90)
		, DeviceAlertAsBoolDisplay(PZD_718)
		, DeviceAlertAsBoolDisplay(PZD_98)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_17_18
*/
MENU	menu_pv_input_byte_17_18
{
    LABEL	[TXT_PZD_78];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_563)
		, DeviceAlertAsBoolDisplay(PZD_82)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_19_20
*/
MENU	menu_pv_input_byte_19_20
{
    LABEL	[TXT_PZD_78];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_91)
		, DeviceAlertAsBoolDisplay(PZD_487)
		, DeviceAlertAsBoolDisplay(PZD_486)
		, DeviceAlertAsBoolDisplay(PZD_556)
		, DeviceAlertAsBoolDisplay(PZD_637)
		, DeviceAlertAsBoolDisplay(PZD_461)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_23
*/
MENU	menu_pv_input_byte_23
{
    LABEL	[TXT_PZD_86];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_79)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_25_26
*/
MENU	menu_pv_input_byte_25_26
{
    LABEL	[TXT_PZD_83];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_563)
		, DeviceAlertAsBoolDisplay(PZD_82)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_27_28
*/
MENU	menu_pv_input_byte_27_28
{
    LABEL	[TXT_PZD_83];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_91)
		, DeviceAlertAsBoolDisplay(PZD_487)
		, DeviceAlertAsBoolDisplay(PZD_486)
		, DeviceAlertAsBoolDisplay(PZD_556)
		, DeviceAlertAsBoolDisplay(PZD_637)
		, DeviceAlertAsBoolDisplay(PZD_461)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_29_30
*/
MENU	menu_pv_input_byte_29_30
{
    LABEL	[TXT_PZD_84];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceAlertAsBoolDisplay(PZD_685)
		, DeviceAlertAsBoolDisplay(PZD_607)
		, DeviceAlertAsBoolDisplay(PZD_282)
		, DeviceAlertAsBoolDisplay(PZD_553)
		, DeviceAlertAsBoolDisplay(PZD_285)
		, DeviceBoolDisplay(PZD_952)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_input_byte_31
*/
MENU	menu_pv_input_byte_31
{
    LABEL	[TXT_PZD_606];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceBoolDisplay(PZD_604)
		, DeviceBoolDisplay(PZD_657)
		, DeviceBoolDisplay(PZD_700)
		, DeviceBoolDisplay(PZD_613)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_process_variables_output
*/
MENU	menu_process_variables_output
{
    LABEL	[TXT_TST_623];
	STYLE    PAGE;
	ACCESS   ONLINE;	
    ITEMS
    {
		menu_pv_output_byte_1 /*  output byte 1 */
		, ROWBREAK
		, menu_pv_output_byte_2 /*  output byte 2 */
		, COLUMNBREAK
		, menu_pv_output_byte_3_4 /*  output byte 3 + 4 */
		, ROWBREAK
		, menu_pv_output_byte_5 /*  output byte 5 */
    }
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_output_byte_1
*/
MENU	menu_pv_output_byte_1
{
    LABEL	"Commands|de|Kommandos";	/* / TODO: [TXT_xxx]; */
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceBoolDisplay(PZD_330)
		, DeviceBoolDisplay(PZD_331)
		, DeviceBoolDisplay(PZD_332)
		, DeviceBoolDisplay(PZD_191)
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_output_byte_2
*/
MENU	menu_pv_output_byte_2
{
    LABEL	[TXT_PZD_463];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		PZD_463
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_output_byte_3_4
*/
MENU	menu_pv_output_byte_3_4
{
    LABEL	[TXT_PZD_333];
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		PZD_333
	}
}

/* ---------------------------------------------------------------------------------------------------------------------
*   EDD MENU menu_pv_output_byte_5
*/
MENU	menu_pv_output_byte_5
{
    LABEL	"Auxiliary commands|de|Zusatzkommandos";	/* / TODO: [TXT_xxx]; */
	STYLE   GROUP;
	ACCESS  ONLINE;	
    ITEMS
	{
		DeviceBoolDisplay(PZD_188)
	}
}

